[Buildroot] [PATCH 2/4] board/raspberrypi/post-image.sh: add VC4 DTB overlay support

Erik Stromdahl erik.stromdahl at gmail.com
Fri Jul 14 06:48:49 UTC 2017


Add option for adding the vc4-fkms-v3d dtoverlay in config.txt.
This will enable the VC4 GPU.

Signed-off-by: Erik Stromdahl <erik.stromdahl at gmail.com>
---
 board/raspberrypi/post-image.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/board/raspberrypi/post-image.sh b/board/raspberrypi/post-image.sh
index 4f136f6..be5ed9c 100755
--- a/board/raspberrypi/post-image.sh
+++ b/board/raspberrypi/post-image.sh
@@ -38,6 +38,17 @@ enable_uart=1
 __EOF__
 		fi
 		;;
+		--add-vc4-fkms-v3d-overlay)
+		# Enable VC4 overlay
+		if ! grep -qE '^dtoverlay=' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
+			echo "Adding 'dtoverlay=vc4-fkms-v3d' to config.txt (fixes ttyAMA0 serial console)."
+			cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
+
+# Add VC4 GPU support
+dtoverlay=vc4-fkms-v3d
+__EOF__
+		fi
+		;;
 esac
 
 done
-- 
2.7.4



More information about the buildroot mailing list